org.apache.ignite.internal.util.lang.gridfunc

## Class PredicateSetView<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - org.apache.ignite.internal.util.GridSerializableMap<K,V>
    - - org.apache.ignite.internal.util.lang.gridfunc.PredicateSetView<K,V>

Type Parameters:
  `K` - Key type.
  `V` - Value type.

All Implemented Interfaces:
  Serializable, Map<K,V>

    public class PredicateSetView<K,V>
    extends GridSerializableMap<K,V>

Light-weight view on given map with provided preds and mapping.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`PredicateSetView(Set<K> set, IgniteClosure<? super K,V> clo, IgnitePredicate<? super K>... preds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `containsKey(Object key)`
`Set<Map.Entry<K,V>>` `entrySet()`
`V` `get(Object key)`
`boolean` `isEmpty()`
`V` `put(K key, V val)`
`V` `remove(Object key)`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsValue, equals, hashCode, keySet, putAll, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### PredicateSetView

    public PredicateSetView(Set<K> set,
                            IgniteClosure<? super K,V> clo,
                            IgnitePredicate<? super K>... preds)

Parameters:
  `set` - Input collection.
  `clo` - Mapping closure, that maps key to value.
  `preds` - Optional predicates to filter input collection. If predicates are not provided - all elements will be in

### Method Detail

#### entrySet

    @NotNull
    public Set<Map.Entry<K,V>> entrySet()

Specified by:
  `entrySet` in interface `Map<K,V>`
Specified by:
  `entrySet` in class `AbstractMap<K,V>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<K,V>`
Overrides:
  `isEmpty` in class `AbstractMap<K,V>`

#### get

    @Nullable
    public V get(Object key)

Specified by:
  `get` in interface `Map<K,V>`
Overrides:
  `get` in class `AbstractMap<K,V>`

#### put

    @Nullable
    public V put(K key,
                           V val)

Specified by:
  `put` in interface `Map<K,V>`
Overrides:
  `put` in class `AbstractMap<K,V>`

#### remove

    public V remove(Object key)

Specified by:
  `remove` in interface `Map<K,V>`
Overrides:
  `remove` in class `AbstractMap<K,V>`

#### containsKey

    public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<K,V>`
Overrides:
  `containsKey` in class `AbstractMap<K,V>`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018